Skip to main content
POST
/
mave
/
chat
curl -X POST https://app.mavera.io/api/v1/mave/chat \
  -H "Authorization: Bearer mvra_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "message": "Analyze the competitive landscape for electric vehicles in Europe"
  }'
{
  "id": "<string>",
  "object": "mave_message",
  "thread_id": "<string>",
  "role": "assistant",
  "content": "<string>",
  "sources": [
    {
      "title": "<string>",
      "url": "<string>",
      "domain": "<string>"
    }
  ],
  "personas_used": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "usage": {
    "credits_used": 123
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Body

application/json
message
string
required

The user's message or query

thread_id
string

Existing thread ID (creates new thread if not provided)

workspace_id
string

Target workspace (uses default if not specified)

stream
boolean
default:false

If true, returns streaming SSE response

Response

Message processed successfully

Response from Mave chat

id
string

Message ID

object
enum<string>
Available options:
mave_message
thread_id
string

Thread ID

role
enum<string>
Available options:
assistant
content
string

AI response content

sources
object[]

Research sources used

personas_used
object[]

Personas involved in the response

usage
object
created_at
string<date-time>